import unicodedata as ud


def _get_char_lang(c):
    char_name = ud.name(c)
    if 'LATIN' in char_name:
        return 'en'
    if 'HANGUL' in char_name:
        return 'kr'
    if 'CJK' in char_name:
        return 'jp'
    if 'HIRAGANA' in char_name:
        return 'jp'
    if 'KATAKANA' in char_name:
        return 'jp'
    if 'KATAKANA' in char_name:
        return 'jp'
    if 'CYRILLIC' in char_name:
        return 'mn'
    return 'other'


def segment_text_by_language(text):
    current_lang = 'other'
    current_segment = ''
    segments = []
    for c in text:
        c_lang = _get_char_lang(c)
        if c_lang == 'other':
            current_segment += c
        else:
            if current_lang == 'other':
                current_lang = c_lang
                current_segment += c
            elif current_lang == c_lang:
                current_segment += c
            else:
                segments.append((current_lang, current_segment))
                current_lang = c_lang
                current_segment = '' + c
    if current_lang == 'other':
        current_lang = 'mn'
    segments.append((current_lang, current_segment))
    return segments
