import re

from .normalizer_interface import Normalizer


class PreProcessor(Normalizer):
    def __init__(self, name):
        super().__init__(name)

    def __call__(self, input_text):
        text = input_text["text"]
        text = text.replace("Щ", "Ш").replace("щ", "ш")
        text = re.sub(r"[\"`”“‘’]", "'", text)
        text = re.sub(r"[^А-ЯӨҮЁа-яөүёA-Za-z0-9!\'(),\.:;\?\ \-°$₮¥€£%¢+*~&()#=%№@<>\[\]{}\|~№/\n]", " ", text)
        input_text["text"] = text
        return input_text
