#!/usr/bin/bash

if [ "$EUID" -ne 0 ]
  then echo "Error: Please run with 'sudo ./install.sh'"
  exit
fi

apt-get -y install procps
pkill -f orca
apt-get -y --reinstall install speech-dispatcher
apt-get -y install python3-pip "portaudio*-dev" espeak-ng orca
pip3 install onnxruntime==1.12.1 sonicpy==0.1.1 pyaudio wave pathlib dlinfo pyyaml flask waitress

rm -rf /usr/local/chimege_tts_service
cp -r chimege_tts_service /usr/local/

sudo -u $SUDO_USER mkdir -p /home/$SUDO_USER/.config/systemd/user/
sudo -u $SUDO_USER cp chimege_tts_service/chimege_tts_service.service /home/$SUDO_USER/.config/systemd/user/
systemctl --user -M $SUDO_USER@ daemon-reload
systemctl --user -M $SUDO_USER@ enable chimege_tts_service.service
systemctl --user -M $SUDO_USER@ start chimege_tts_service.service

#sed -i 's/DefaultModule espeak-ng/\nAddModule "chimege" "sd_generic" "chimege.conf"\nDefaultModule chimege\nDefaultLanguage "mn"\n/g' /etc/speech-dispatcher/speechd.conf
echo "AddModule \"chimege\" \"sd_generic\" \"chimege.conf\"" >> /etc/speech-dispatcher/speechd.conf
echo "DefaultModule chimege" >> /etc/speech-dispatcher/speechd.conf
echo "LanguageDefaultModule \"mn\"  \"chimege\"" >> /etc/speech-dispatcher/speechd.conf
rm -rf /etc/speech-dispatcher/modules/chimege.conf
ln -s /usr/local/chimege_tts_service/chimege.conf /etc/speech-dispatcher/modules/
systemctl restart speech-dispatcher

